Subject: Re: bug#11111: Problems with mkdir -p usage
From: Eric Blake <[email-masked]>
To: AngusC <[email-masked]>
Cc: [email-masked]
Date: Wed, 28 Mar 2012 08:46:11 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 11111 notabug
thanks

On 03/28/2012 03:46 AM, AngusC wrote:
> 
> Hello
> 
> I am using cygwin and have copied the core cygwin files to a folder called
> binarytools on my Windows PC.  This folder is first item in path env
> variable.
> 
> When I run make it has commands to do a mkdir -p <foldername>
> 
> But mkdir -p myfolder creates a folder called -p and also a folder called
> myfolder???
> 
> Why the strange behaviour?

Probably because you are using cmd.exe as your shell, and thus invoking
the built-in 'mkdir' of that shell (which does not understand -p).

> 
> If I do which mkdir - it displays as below:
> D:\>which mkdir
> /binaryTools/mkdir

'which' only knows how to interpret your PATH; it doesn't know about the
built-ins of cmd that get used in preference to a PATH search.

To solve your problem, either invoke mkdir by using a full pathname, or
switch to a better shell than cmd (cygwin ships bash for a reason).

As this is not a bug in coreutils, so much as a usage error on your
part, I'm closing out this bug report.  Feel free to add further
comments if you feel the need, and you may also get better support if
you ask on the cygwin list.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org